# Generated by Django 2.1.7 on 2021-02-01 22:09

import django.contrib.postgres.fields.jsonb
from django.db import migrations


def create_groups(apps, scheme_editor):
    
    Group = apps.get_model('auth', 'Group')
    Permission = apps.get_model("auth", "Permission")

    agent_group_names = ["Agente TI", "Agente SAC", "Agente Terreno"]
    agent_list = []

    for group_name in agent_group_names:

        try:
            agent = Group.objects.get(name = group_name)
        except:
            agent = Group.objects.create(name=group_name)

        agent_list.append(agent)

    permission_list = [ "view_removeequipamentmodel", "add_removeequipamentmodel", "change_removeequipamentmodel",
    "delete_removeequipamentmodel"]
    admin_permission_list = ["view_removeequipamentemailmodel", "add_removeequipamentemailmodel", "change_removeequipamentemailmodel",
    "delete_removeequipamentemailmodel", "view_removeequipamentchannelmodel", "add_removeequipamentchannelmodel", "change_removeequipamentchannelmodel",
    "delete_removeequipamentchannelmodel", "view_removeequipamenttablesmodel", "add_removeequipamenttablesmodel", "change_removeequipamenttablesmodel",
    "delete_removeequipamenttablesmodel"]

    for agent in agent_list:

        for permission_name in permission_list:

            perm = Permission.objects.get(codename=permission_name, content_type__app_label='formerCustomers')
            agent.permissions.add(perm)

    try:
        admin_agent = Group.objects.get(name = "Administrador Retiro")
    except:
        admin_agent = Group.objects.create(name="Administrador Retiro")

    for permission_name in admin_permission_list:
        perm = Permission.objects.get(codename=permission_name, content_type__app_label='formerCustomers')
        admin_agent.permissions.add(perm)



class Migration(migrations.Migration):

    dependencies = [
        ('formerCustomers', '0017_auto_20210201_1809'),
    ]

    operations = [
        migrations.RunPython(create_groups)
    ]
